{
  description = "horizon-biohaskell";

  nixConfig = {
    extra-substituters = "https://horizon.cachix.org";
    extra-trusted-public-keys = "horizon.cachix.org-1:MeEEDRhRZTgv/FFGCv3479/dmJDfJ82G6kfUDxMSAw0=";
  };

  inputs = {
    flake-parts.url = "github:hercules-ci/flake-parts";
    horizon-advance.url = "git+https://gitlab.horizon-haskell.net/package-sets/horizon-advance";
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
  };

  outputs =
    inputs:
    inputs.flake-parts.lib.mkFlake { inherit inputs; } {
      systems = [
        "aarch64-darwin"
        "x86_64-darwin"
        "x86_64-linux"
      ];
      perSystem = { pkgs, system, ... }:
        with pkgs.lib;
        let

          modifiers = import ./modifiers.nix { inherit pkgs; };
          overrides = composeManyExtensions [
            (import ./overlay.nix { inherit pkgs; f = modifiers; })
            (import ./configuration.nix { inherit pkgs; })
          ];

          legacyPackages = inputs.horizon-advance.legacyPackages.${system}.extend overrides;

          packages = filterAttrs (_: isDerivation) legacyPackages;

        in
        {

          inherit legacyPackages;
          inherit packages;
        };
    };
}
